Subject: Re: Beg. Level: Send Radiant CMS w/extensions to Heroku

From: Chris Packham <[email-masked]>
Date: Thu, 01 Jul 2010 08:57:13 -0700

On 30/06/10 23:15, Geirsman wrote:
> Hey,
>
> I made the page I wanted locally with Radiant CMS and several extensions.
> Then when I went to send it to Heroku I ran into a variety of errors, first
> SSH, then I think I sent over the gems but not the extensions. And in
> attempting to fix things I think I only made them worse.
>
> Right now at http://freezing-night-21.heroku.com I believe I need to send
> over my extensions because the repo size is 17.6megs and the slug size is
> 7.6megs. Also the way I read the error message I get. 
>
> I'm lost so I start at the end, 
>
> $ git push heroku
>   
>> Everything up-to-date
>>     
> $ git commit -a
> U	vendor/extensions/forms
> U	vendor/extensions/forms_mail
> U	vendor/extensions/mailer
> U	vendor/extensions/multi_site
> U	vendor/extensions/paperclipped
> U	vendor/extensions/paperclipped_uploader
> U	vendor/extensions/ray
> U	vendor/extensions/rbac_base
> U	vendor/extensions/rbac_page_edit
> U	vendor/extensions/settings
> U	vendor/plugins/attachment_fu
> fatal: 'commit' is not possible because you have unmerged files.
>
> I'm lost, I tried a variety of commands but nothing seems to work on these
> extensions. I had several RB files on this list before so I hit git add
> <file> and now they don't show up. Can't really do that extension dirs
> though.
>
> Anyways, I don't care if I start from scratch and do it properly or if I'm
> just one step away from having the page that I want up and running. I'd just
> like it up. It's a very simple page and it's taken many more hours to deploy
> than to create because the documentation tends to be mmm...technical. Any
> help would be greatly appreciated, I am trying to make a site for community
> good!
>   
This is just a complete guess but you probably have previous merge
conflict that needs resolving.

The output of 'git status' should tell you something about files being
'unmerged' or having conflicts (sorry I can't remember the exact
wording). If you do have any conflicts open the files in a text editor
and search for the conflict markers '>>>>>>>' fix-up the files and
double check that everything looks OK. After that you need to tell git
that the conflicts have been handled with 'git add <filename>' you
should then be able to commit.